;(function( $ ){
function reefMenu( arg ){

	this.menuName     = arg.name;
	this.source       = arg.source;
	this.closeBtn     = arg.closeBtn;
	this.toggler      = arg.toggler;
	this.hideCloseBtn = arg.hideCloseBtn;
	this.side         = arg.side ? arg.side : 'left';
	this.onOpen       = arg.onOpen ? arg.onOpen : null;
	this.onClose       = arg.onClose ? arg.onClose : null;

	this.init       = function(){

		if( !this.isValid() ) return;

		if( 'undefined' !== typeof this.closeBtn ){

			if( this.hideCloseBtn ){
				jQuery( this.closeBtn ).hide();
			}

			this.close();
		}

		jQuery( this.toggler ).sidr( this.getParam() );
		
	};

	this.isValid = function(){

		if( 'undefined' ==  typeof this.hideCloseBtn ){
			this.hideCloseBtn = false;
		}

		if( 'undefined' == typeof this.menuName || 'undefined' == typeof this.source || 'undefined' == typeof this.toggler ){
			console.error( 'Invalid Parameters.' );
			return false;
		}

		return true;
	};

	this.getParam = function(){

		var _this = this,
		    param = {
				name       : this.menuName,
				source     : this.source,
				side       : this.side,
				renaming   : false,
			};

		if( null !== this.onOpen ){
			param.onOpen = this.onOpen;;
		}

		if( null !== this.onOpen ){
			param.onClose = this.onClose;;
		}

		if( 'undefined' !== typeof this.closeBtn && this.hideCloseBtn ){
			param.onOpenEnd = function(){
				jQuery( _this.closeBtn ).show();
			};

			param.onClose = function(){
				jQuery( _this.closeBtn ).hide();
			};
		}

		return param;
	};

	this.close = function(){

		var _this = this;

		jQuery( document ).on( 'click', this.closeBtn, function(e){
			e.preventDefault();
			jQuery.sidr( 'close', _this.menuName );
		});
	};
}

function reefSearch(){

    this.wrapper       = '.search-section';
    this.searchIcon    = '.search-icon .fa-search';
    this.searchClose   = '.search-close';
    this.searchField   = '.search-field';
    this.enabled       = false;

    this.init = function(){

      var that = this;

      jQuery( document ).on( 'click', this.searchIcon, function(e){

        e.stopPropagation();
        e.preventDefault();
        if( that.enabled ){ that.close(); }else{ that.open(); }

      });

      jQuery( document ).on( 'click', this.searchClose, function(){ that.close(); } );

    };

    this.open = function(){
      this.enabled = true;
      $("html, body").animate({ scrollTop: 0 }, 100); 
      jQuery( this.wrapper ).addClass( 'open' );
      jQuery( 'body' ).addClass( 'search-open' );
      jQuery( this.searchField )[0].focus();
    };

    this.close = function(){

      var that = this;

      this.enabled = false;

      jQuery( this.wrapper ).removeClass( 'open' );
      jQuery( 'body' ).removeClass( 'search-open' );

      setTimeout( function(){
        jQuery( that.wrapper + ' ' + that.searchField ).val( '' );
      },1000 );
      
    };
}

jQuery.fn.blurryLoad = function () {

	return this.each( function(){

		var parentContainer = jQuery(this).parent(),
		    imageContainer = jQuery(this)
		
		parentContainer.addClass('blurry-load-container');
		imageContainer.addClass('img-blur')

		// 2: load large image
		var imgLarge = new Image();
		imgLarge.src = jQuery(this).attr('data-large');

		imgLarge.onload = function () {

			setTimeout( function(){
				imageContainer.remove();
			    imgLarge.classList.add('loaded');
			    parentContainer.append(imgLarge);
			},5000);
			
		};
	} );
};
function equaleHeight( ele ){
	
	var getMaxHeight = function(){
		var height = 0 ;
		jQuery( ele ).height( 'auto' );
		jQuery( ele ).each( function(){
			if( jQuery( this ).height() > height ){
				height = jQuery( this ).height();
			}
		});
		return height;
	};

	var init = function(){

		var width = jQuery( window ).width();
		if( width >= 768 ){
			var height = getMaxHeight();
			jQuery( ele ).each( function(){
				jQuery( this ).height( height );
			});
		}else{
			jQuery( ele ).each( function(){
				jQuery( this ).height( 'auto' );
			});
		}
	};

	jQuery( document ).ready( function(){
		init();
	});

	jQuery( window ).resize( function(){
		init();
	});

	jQuery( window ).load( function(){
		init();
	});
};

equaleHeight( '.testimonial-item'  );
equaleHeight( '.block-faq .page-list-outer'  );
equaleHeight( '.block-service .icon-group .icon-item'  );
equaleHeight( '.highlight-post-outer'  );
/**
 * File navigation.js.
 *
 * Handles toggling the navigation menu for small screens and enables TAB key
 * navigation support for dropdown menus.
 */
+( function() {
	var container, button, menu, links, i, len;

	container = document.getElementById( 'site-navigation' );
	if ( ! container ) {
		return;
	}

	button = container.getElementsByTagName( 'button' )[0];
	if ( 'undefined' === typeof button ) {
		return;
	}

	menu = container.getElementsByTagName( 'ul' )[0];

	// Hide menu toggle button if menu is empty and return early.
	if ( 'undefined' === typeof menu ) {
		button.style.display = 'none';
		return;
	}

	menu.setAttribute( 'aria-expanded', 'false' );
	if ( -1 === menu.className.indexOf( 'nav-menu' ) ) {
		menu.className += ' nav-menu';
	}

	button.onclick = function() {
		if ( -1 !== container.className.indexOf( 'toggled' ) ) {
			container.className = container.className.replace( ' toggled', '' );
			button.setAttribute( 'aria-expanded', 'false' );
			menu.setAttribute( 'aria-expanded', 'false' );
		} else {
			container.className += ' toggled';
			button.setAttribute( 'aria-expanded', 'true' );
			menu.setAttribute( 'aria-expanded', 'true' );
		}
	};

	// Get all the link elements within the menu.
	links    = menu.getElementsByTagName( 'a' );

	// Each time a menu link is focused or blurred, toggle focus.
	for ( i = 0, len = links.length; i < len; i++ ) {
		links[i].addEventListener( 'focus', toggleFocus, true );
		links[i].addEventListener( 'blur', toggleFocus, true );
	}

	/**
	 * Sets or removes .focus class on an element.
	 */
	function toggleFocus() {
		var self = this;

		// Move up through the ancestors of the current link until we hit .nav-menu.
		while ( -1 === self.className.indexOf( 'nav-menu' ) ) {

			// On li elements toggle the class .focus.
			if ( 'li' === self.tagName.toLowerCase() ) {
				if ( -1 !== self.className.indexOf( 'focus' ) ) {
					self.className = self.className.replace( ' focus', '' );
				} else {
					self.className += ' focus';
				}
			}

			self = self.parentElement;
		}
	}

	/**
	 * Toggles `focus` class to allow submenu access on tablets.
	 */
	( function( container ) {
		var touchStartFn, i,
			parentLink = container.querySelectorAll( '.menu-item-has-children > a, .page_item_has_children > a' );

		if ( 'ontouchstart' in window ) {
			touchStartFn = function( e ) {
				var menuItem = this.parentNode, i;

				if ( ! menuItem.classList.contains( 'focus' ) ) {
					e.preventDefault();
					for ( i = 0; i < menuItem.parentNode.children.length; ++i ) {
						if ( menuItem === menuItem.parentNode.children[i] ) {
							continue;
						}
						menuItem.parentNode.children[i].classList.remove( 'focus' );
					}
					menuItem.classList.add( 'focus' );
				} else {
					menuItem.classList.remove( 'focus' );
				}
			};

			for ( i = 0; i < parentLink.length; ++i ) {
				parentLink[i].addEventListener( 'touchstart', touchStartFn, false );
			}
		}
	}( container ) );
} )();

function scrollToTop ( param ){

	this.markup   = null,
	this.selector = null;
	this.fixed    = true;
	this.visible  = false;

	this.init = function(){

		if( this.valid() ){

			if( typeof param != 'undefined' && typeof param.fixed != 'undefined' ){
				this.fixed = param.fixed;
			}

			this.selector = ( param && param.selector ) ? param.selector : '#go-top';

			this.getMarkup();
			var that = this;

			jQuery( 'body' ).append( this.markup );

			if( this.fixed ){

				jQuery( this.selector ).hide();

				var windowHeight = jQuery( window ).height();

				jQuery( window ).scroll(function(){

					var scrollPos     = jQuery( window ).scrollTop();

					if(  ( scrollPos > ( windowHeight - 100 ) ) ){

						if( false == that.visible ){
							jQuery( that.selector ).fadeIn();
							that.visible = true;
						}
						
					}else{

						if( true == that.visible ){
							jQuery( that.selector ).fadeOut();
							that.visible = false;
						}
					}
				});

				this.bindEvent();
			}
		}
	}

	this.bindEvent = function(){
		jQuery( document ).on( 'click', this.selector, function(e){
			e.preventDefault();
			$("html, body").animate({ scrollTop: 0 }, 800);
		});
	}

	this.getMarkup = function(){

		var position = this.fixed ? 'fixed':'absolute';

		var wrapperStyle = 'style="position: '+position+'; z-index:999999; bottom: 20px; right: 20px;"';

		var buttonStyle  = 'style="cursor:pointer;display: inline-block;padding: 10px 20px;background: #f15151;color: #fff;border-radius: 2px;"';

		var markup = '<div ' + wrapperStyle + ' id="go-top"><span '+buttonStyle+'>Scroll To Top</span></div>';

		this.markup   = ( param && param.markup ) ? param.markup : markup;
	}

	this.valid = function(){

		if( param && param.markup && !param.selector ){
			alert( 'Please provide selector. eg. { markup: "<div id=\'scroll-top\'></div>", selector: "#scroll-top"}' );
			return false;
		}

		return true;
	}
};

/**
 * File skip-link-focus-fix.js.
 *
 * Helps with accessibility for keyboard only users.
 *
 * Learn more: https://git.io/vWdr2
 */
+(function() {
	var isIe = /(trident|msie)/i.test( navigator.userAgent );

	if ( isIe && document.getElementById && window.addEventListener ) {
		window.addEventListener( 'hashchange', function() {
			var id = location.hash.substring( 1 ),
				element;

			if ( ! ( /^[A-z0-9_-]+$/.test( id ) ) ) {
				return;
			}

			element = document.getElementById( id );

			if ( element ) {
				if ( ! ( /^(?:a|select|input|button|textarea)$/i.test( element.tagName ) ) ) {
					element.tabIndex = -1;
				}

				element.focus();
			}
		}, false );
	}
})();

/* Disable data cylce 2 logs */
jQuery.fn.cycle.log = jQuery.noop;

//Recalculating stickysidebar after new content loaded using infinite scroll
jQuery( document.body ).on( 'post-load', function () {
	if( REEF.enable_sticky_sidebar ){
		setTimeout(function(){
			jQuery('#primary-sidebar' ).stickySidebar('updateSticky');
		},100);
	}
} );

jQuery( window ).load( function(){

	// Make sure if the masonry wrapper exists
	if( jQuery( '.masonry-wrapper' ).length > 0 ){
		jQuery( '.masonry-wrapper' ).masonry({
			itemSelector: '.masonry-grid',
			percentPosition: true
		});	
	}

	// Make sure if the primary sidebar exists
	if( jQuery( '#primary-sidebar' ).length > 0 && REEF.enable_sticky_sidebar ){
		setTimeout( function(){
			jQuery( '#primary-sidebar' ).stickySidebar({
	            containerSelector    : '#main-content',
	            innerWrapperSelector : '.sidebar',
	            topSpacing           : REEF.is_admin_bar_showing ? 50 : 20,
	            bottomSpacing        : 10,
	            minWidth: 768
	        });
		});
	}
});

jQuery( document ).ready( function(){
	// Initializing scroll top js
	new scrollToTop({
		markup   : '<a href="#" class="'+ ( REEF.enable_scroll_top_in_mobile == 0 ? "hidden-xs" : "" )+'" id="go-top"><span class="button-outline"><i class="fa fa-arrow-up"></i></span></a>',
		selector : '#go-top'
	}).init();

	// Initializing menu
	new reefMenu({
		name    	 : 'sidr-alternate-default',
		source  	 : '#alternate-menu', 
		toggler 	 : '.alternate-menu-toggler',
		side    	 : 'right',
		width   	 : '500px',
		closeBtn     : '.sidr-close, .body-overlay',
		onOpen       : function(){
			jQuery( 'body' ).append( '<a href="#" class="body-overlay"></a>' );
			var width = jQuery( window ).width();
			if( width > 768 ){
				jQuery( '#primary-nav-alt,#social-nav-alt' ).hide();
			}else{
				jQuery( '#primary-nav-alt,#social-nav-alt' ).show();
			}

			var reqHeight = jQuery( window ).height();
			if( REEF.is_admin_bar_showing ){
				reqHeight = reqHeight - 32;
			}
			jQuery( 'body' ).css({
				'height' : reqHeight,
				'overflow' : 'hidden'
			});
		},
		onClose     : function(){
			jQuery( '.body-overlay' ).remove();
			jQuery( 'body' ).css({
				'height' : 'initial',
				'overflow' : 'auto'
			})
		}
	}).init();
	

	new reefSearch().init();

	jQuery(".youtube-popup").colorbox({
		iframe      :true, 
		width		: '90%',
		height		: '80%',
		maxWidth	: 800,
		maxHeight	: 600
	});

	//animation for contact form 7 on focus
	jQuery( '.kt-contact-form-area input, .kt-contact-form-area textarea' ).on( 'focus',function(){
		var target = jQuery( this ).attr( 'id' );
		jQuery('label[for="'+target+'"]').addClass( 'move' );
	});

	jQuery( '.kt-contact-form-area input, .kt-contact-form-area textarea' ).on( 'blur',function(){
		var target = jQuery( this ).attr( 'id' );
		jQuery('label[for="'+target+'"]').removeClass( 'move' );
	});
});
})( jQuery );