<?php
/**
* hooked slider
*
* @since Reef 0.1
*/
function reef_home_slider(){

	$timeout     = reef_get_option( 'slider_autoplay' ) ? reef_get_option( 'slider_timeout' ) : 0;
	$control     = reef_get_option( 'slider_control' );
	$slide_opt   = reef_get_option( 'slider_post_option' );
	$slides_args = false;

	if( 'banner' ==  $slide_opt ){
		$control = false;
	}elseif( 'slider' == $slide_opt ){
		$slides_args = apply_filters( 'reef_slider_query_args', reef_get_slider_args() );
	}
	
	$slider_options = apply_filters( 'reef_slider_option', array(
		'control'  => $control,
		'timeout'  => $timeout * 1000,
		'fx'	   => 'scrollHorz',
		'prev'     => '#kt-prev',
		'next'     => '#kt-next',
		'pager'    => '#kt-pager',
		'hover'    => 'true',
		'slides'   => '> div'
	) );

	$video_page_id = absint( reef_get_option( 'slider_video' ) );
	$video_url = '';

	if( $video_page_id ){

		$video_page = get_post( $video_page_id );

		$videos = get_media_embedded_in_content( $video_page->post_content, array( 'video', 'object', 'embed', 'iframe' ) );
		
		if( is_array( $videos ) && count( $videos ) > 0 ){

			preg_match('/src="([^"]+)"/', $videos[ 0 ], $video_url);
			$video_url = $video_url[1];
		}else{
			$video_url = $video_page->post_content;
		}
	}
	?>

	<?php if( ( 'banner' == $slide_opt && absint( reef_get_option( 'banner_post' ) ) ) || ( 'slider' == $slide_opt &&  $slides_args ) ): ?>
	<!-- slider section-->
	<section class="wrapper block-slider">
		<?php if( !empty( $video_url ) ): ?>
			<div class="video-area">
				<a href="<?php echo esc_url( 'www.youtube.com/embed/' . reef_get_youtube_id( $video_url ) ); ?>/?autoplay=1;" class="youtube-popup video-icon">
					<i class="fa fa-video-camera"></i>
				</a>
			</div>
		<?php endif;
			$query = new WP_Query( $slides_args );
		?>
		<div class="controls" style="opacity: <?php echo esc_attr( ( $query->post_count > 1 && $slider_options[ 'control' ] ) ? 1 : 0 ); ?>">
		    <a href="#" id="kt-prev"><i class="fa fa-angle-up"></i></a>
		    <div class="cycle-pager" id="kt-pager"></div>
		    <a href="#" id="kt-next"><i class="fa fa-angle-down"></i></a>
		</div>

		<div class="cycle-slideshow"
			data-cycle-fx="<?php echo esc_attr( $slider_options[ 'fx' ] ); ?>"
			data-cycle-timeout=<?php echo esc_attr( $slider_options[ 'timeout' ] ); ?>
		    data-cycle-prev="<?php echo esc_attr( $slider_options[ 'prev' ] ); ?>"
		    data-cycle-next="<?php echo esc_attr( $slider_options[ 'next' ] ); ?>"
		    data-cycle-carousel-fluid=true
		    data-cycle-carousel-visible=1
		    data-cycle-pager="<?php echo esc_attr( $slider_options[ 'pager' ] ); ?>"
		    data-cycle-pause-on-hover="<?php echo esc_attr( $slider_options[ 'hover' ] ); ?>"
		    data-cycle-slides="<?php echo esc_attr( $slider_options[ 'slides' ] ); ?>"
		    data-cycle-auto-height=container
		    >
		    <?php
		    if( 'banner' == $slide_opt ){

	    		global $post;
	    		$post = get_post( absint( reef_get_option( 'banner_post' ) ) );
	    		setup_postdata( $post );
	    		if( $post ){
	    			reef_slider_item();
	    		}
	    		wp_reset_postdata();
		    }elseif( 'slider' == $slide_opt ){
		    	
				while ( $query->have_posts() ) :  $query->the_post(); 
		       		reef_slider_item();
				endwhile; 
				wp_reset_postdata(); 
		    }
			?>
		</div>
	</section>
	<!-- end slider section -->
	<?php endif; ?>
	<?php
}
add_action( 'reef_home_page_slider', 'reef_home_slider' );

if( ! function_exists( 'reef_slider_item' ) ):
	function reef_slider_item(){
		if ( has_post_thumbnail() ) :
			$feat_image_url = get_the_post_thumbnail_url( get_the_ID(), 'reef-banner' );
		
		else:
			$feat_image_url = reef_get_dummy_image( array(
    			'size' => 'reef-banner',
    		) );
   		endif;
		?>
	    <div class="slide-item" style="background-image: url(<?php echo esc_url( $feat_image_url );?>)">
	    	<div class="container">
	    		<div class="row">
	    			<div class="col-xs-12 col-sm-8 col-md-6">
		    			<article class="post-content">
		    				<div class="post-content-inner">
		    					<?php reef_entry_header(); ?>
			    				<div class="post-text"><?php reef_excerpt( 16 );?></div>
			    				<?php reef_entry_footer(); ?>
		    				</div>
		    			</article>
	    			</div>
	    		</div>
	    	</div>
	    </div>
		<?php
	}
endif;