<?php
/**
* Starter Content
*
* @since 0.1
*/
function reef_starter_content(){
	add_theme_support( 'starter-content', array(
	    # Specify the core-defined pages to create and add custom thumbnails to some of them.
	    'posts' => array(
	    	'banner' => array(
	    		'post_type'    => 'post',
	    		'thumbnail'    => '{{image-banner}}',
	    		'post_title'   => esc_html__( 'A complete blogging theme', 'reef' ),
	    		'post_content' => esc_html__( 'Euismod harum nisi debitis laoreet aliquip feugiat ratione, cum molestias similique placeat vulputate quo! Repellendus penatibus sunt netus perspiciatis tempore arcu recusandae maiores? Integer cras class! Veritatis. Conubia? Quia explicabo.', 'reef' )
	    	),
	    	'highlighted_1' => array(
	    		'post_type'    => 'post',
	    		'thumbnail'    => '{{image-highlighted-1}}',
	    		'post_title'   => esc_html__( 'Is cycling really good for your heart?', 'reef' ),
	    		'post_content' => esc_html__( 'Penatibus cillum montes omnis veniam dolore aliquam facilis pariatur optio, minim ridiculus? Expedita eum do. Laudantium lacinia vero sollicitudin donec, delectus, rerum commodi suscipit bibendum labore itaque volutpat ullamcorper suscipit.', 'reef' )
	    	),
	    	'highlighted_2' => array(
	    		'post_type'    => 'post',
	    		'thumbnail'    => '{{image-highlighted-2}}',
	    		'post_title'   => esc_html__( 'Grow your business with Reef', 'reef' ),
	    		'post_content' => esc_html__( 'Euismod harum nisi debitis laoreet aliquip feugiat ratione, cum molestias similique placeat vulputate quo! Repellendus penatibus sunt netus perspiciatis tempore arcu recusandae maiores? Integer cras class! Veritatis. Conubia? Quia explicabo.', 'reef' )
	    	),
	    	'highlighted_3' => array(
	    		'post_type'    => 'post',
	    		'thumbnail'    => '{{image-highlighted-3}}',
	    		'post_title'   => esc_html__( 'Good writing is good conversation', 'reef' ),
	    		'post_content' => esc_html__( 'Euismod harum nisi debitis laoreet aliquip feugiat ratione, cum molestias similique placeat vulputate quo! Repellendus penatibus sunt netus perspiciatis tempore arcu recusandae maiores? Integer cras class! Veritatis. Conubia? Quia explicabo.', 'reef' )
	    	),
	    	'testimonial_1' => array(
	    		'post_type'    => 'page',
	    		'thumbnail'    => '{{image-testimonial-1}}',
	    		'post_title'   => esc_html__( 'Jone Doe', 'reef' ),
	    		'post_content' => esc_html__( 'Similique nullam vehicula rerum, imperdiet ad. Mollit architecto recusandae, wisi! Sunt nulla, diamlorem, deleniti consectetuer.', 'reef' )
	    	),
	    	'testimonial_2' => array(
	    		'post_type'    => 'page',
	    		'thumbnail'    => '{{image-testimonial-2}}',
	    		'post_title'   => esc_html__( 'Jane Doe', 'reef' ),
	    		'post_content' => esc_html__( 'Malesuada fugiat neque incidunt, eiusmod voluptates provident tempus facilis vero, aliquet, lobortis autem eum fugiat.', 'reef' )
	    	),
	    	'testimonial_3' => array(
	    		'post_type'    => 'page',
	    		'thumbnail'    => '{{image-testimonial-3}}',
	    		'post_title'   => esc_html__( 'John Smith', 'reef' ),
	    		'post_content' => esc_html__( 'Urna praesentium, habitasse voluptas, sem adipiscing irure dolorum, sapien sapiente, tincidunt iure, totam augue do.', 'reef' )
	    	),
	    	'about',
	    	'video' => array(
	    		'post_type'    => 'page',
	    		'post_title'   => esc_html__( 'Matt Mullenweg on KTEH "This is Us!"', 'reef' ),
	    		'post_content' => 'https://www.youtube.com/watch?v=SQEQr7c0-dw'
	    	),
	    	'contact',
	    ),
		'widgets' => array(
		    'right-sidebar' => array(
		        'recent' => array( 'reef_highlighted_post', array(
		            'title'             => esc_html__( 'Highlighted Posts', 'reef' ),
		            'category'          => 1,
		            'per_page'          => 3,
		            'show_date_comment' => true 
		        ) ),
		        'meta',
		        'calendar',
		    ),
		    'footer-sidebar' =>  array(
		    	'intro_text' => array( 'text', array(
		    		'title' => _x( 'Keon Themes', 'Theme starter content', 'reef' ),
					'text'  => _x( '<p>Laudantium occaecat libero ab sociosqu iste eaque non? Adipisci quia atque, tristique id adipisicing? Fringilla hic ornare magnis vel excepturi.</p><p>Nascetur ipsa quo optio, aliquet penatibus deleniti asperiores est semper non! Accusantium accumsan, sapiente maiores architecto. Nisl, vel nobis nesciunt.</p>', 'Theme starter content', 'reef' ),
		    	)),
		    	'meta',
		    	'text_business_info_1' => array( 'text', array(
					'title' => _x( 'Find Us', 'Theme starter content', 'reef' ),
					'text'  => join( '', array(
						'<p><strong>' . _x( 'Address', 'Theme starter content', 'reef' ) . '</strong><br />',
						_x( '123 Main Street', 'Theme starter content', 'reef' ) . '<br />' . _x( 'New York, NY 10001', 'Theme starter content', 'reef' ) . '</p>',
						'<p><strong>' . _x( 'Hours', 'Theme starter content', 'reef' ) . '</strong><br />',
						_x( 'Monday&mdash;Wednesday: 9:00AM&ndash;3:00PM', 'Theme starter content', 'reef') . '<br />',
						_x( 'Thursday&mdash;Friday: 9:00AM&ndash;5:00PM', 'Theme starter content', 'reef' ) . '<br />' . _x( 'Saturday &amp; Sunday: 11:00AM&ndash;3:00PM', 'Theme starter content', 'reef' ) . '</p>'
					) ),
				) ) 
		    )
		),

	    # Create the custom image attachments used as post thumbnails for pages.
	    'attachments' => array(
	    	'image-banner' => array(
	    		'post_title' => _x( 'banner', 'Theme starter content', 'reef' ),
	    		'file'       => 'assets/images/starter-content/kt-thumb1.jpg', // URL relative to the template directory.
	    	),
	    	'image-highlighted-1' => array(
	    		'post_title' => _x( 'highlighted_1', 'Theme starter content', 'reef' ),
	    		'file'       => 'assets/images/starter-content/kt-thumb2.jpg', // URL relative to the template directory.
	    	),
	    	'image-highlighted-2' => array(
	    		'post_title' => _x( 'highlighted_2', 'Theme starter content', 'reef' ),
	    		'file'       => 'assets/images/starter-content/kt-thumb3.jpg', // URL relative to the template directory.
	    	),
	    	'image-highlighted-3' => array(
	    		'post_title' => _x( 'highlighted_3', 'Theme starter content', 'reef' ),
	    		'file'       => 'assets/images/starter-content/kt-thumb4.jpg', // URL relative to the template directory.
	    	),
	    	'image-testimonial-1' => array(
	    		'post_title' => _x( 'testimonial_1', 'Theme starter content', 'reef' ),
	    		'file'       => 'assets/images/starter-content/kt-thumb5.jpg', // URL relative to the template directory.
	    	),
	    	'image-testimonial-2' => array(
	    		'post_title' => _x( 'testimonial_2', 'Theme starter content', 'reef' ),
	    		'file'       => 'assets/images/starter-content/kt-thumb6.jpg', // URL relative to the template directory.
	    	),
	    	'image-testimonial-3' => array(
	    		'post_title' => _x( 'testimonial_3', 'Theme starter content', 'reef' ),
	    		'file'       => 'assets/images/starter-content/kt-thumb7.jpg', // URL relative to the template directory.
	    	)
	    ),

	    # Default to a latest posts.
		'options' => array(
			'show_on_front' => 'posts',
		),
		'theme_mods' => array(
			'banner_post'           => '{{banner}}',
			'slider_video'          => '{{video}}',
			'highlighted_post_1'    => '{{highlighted_1}}',
			'highlighted_post_2'    => '{{highlighted_2}}',
			'highlighted_post_3'    => '{{highlighted_3}}',
			'testimonial_page_id_1' => '{{testimonial_1}}',
			'testimonial_page_id_2' => '{{testimonial_2}}',
			'testimonial_page_id_3' => '{{testimonial_3}}',
		),
		'nav_menus' => array(
			'primary' => array(
				'name'  => esc_html__( 'Primary Menu', 'reef' ),
				'items' => array(
					'link_home',
					'page_about',
					'page_contact' => array(
						'type'      => 'post_type',
						'object'    => 'page',
						'object_id' => '{{contact}}',
					)
				)
			),
			'alternative_menu' => array(
				'name'  => esc_html__( 'Alternative Menu', 'reef' ),
				'items' => array(
					'page_about',
					'page_contact' => array(
						'type'      => 'post_type',
						'object'    => 'page',
						'object_id' => '{{contact}}',
					)
				)
			),
			# Assign a menu to the "social" location.
			'social' => array(
				'name' => esc_html__( 'Social Links Menu', 'reef' ),
				'items' => array(
					'link_facebook',
					'link_twitter',
					'link_instagram',
				),
			),
		),
	));
}
add_action( 'after_setup_theme', 'reef_starter_content' );