<?php
/**
 * Template part for displaying gallery posts
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 * @since Reef 0.1
 */
?>
<article id="post-<?php the_ID(); ?>" <?php post_class('post-content'); ?>>
    <div class="post-content-inner">
		<?php
		# Show post thumbnail only if there is no post gallery
		if ( ! get_post_gallery() ){
			$args = array(
				'size'  => 'reef-full-widget',
				'dummy' => false
			);

			if( is_single() ){
				$args[ 'permalink' ] = false;
			}
			
			reef_post_thumbnail( $args );
		}

		reef_entry_header();
		?>
        <div class="post-text">
    	<?php
    	if ( ! is_single() && get_post_gallery() ) {

    		# If not a single post, highlight the gallery.
    		echo '<div class="entry-gallery">' . get_post_gallery() . '</div>';
    	}

		if( is_single() ){

            # Prints out the contents of this post after applying filters.
			the_content();

            # Prints out the pagination links if there are page breaks in the content.
			wp_link_pages( array(
				'before'      => '<div class="page-links">' . esc_html__( 'Pages:', 'reef' ),
				'after'       => '</div>',
				'link_before' => '<span class="page-number">',
				'link_after'  => '</span>',
			) );
			
   		}else{
			reef_excerpt( 15 );
   		}
    	?>
        </div>
        <?php reef_entry_footer(); ?>
    </div>
</article>