<?php
/**
 * Template part for displaying related posts
 *
 * @since Reef 0.1
 */
$args = reef_get_related_posts( array( 'category','post_tag' ), 3, true  );
$query = new WP_Query( apply_filters( 'reef_related_posts_args', $args ) );
if( $query->have_posts() ):
?>
<div class="related-post">
	<div class="container-full">
		<h3 class="box-title">
			<?php echo esc_html( apply_filters( 'single_related_post_title', __( 'You may also like', 'reef' ) ) ); ?>
		</h3>
		<div class="row">
		<?php
		while ( $query->have_posts() ){
			$query->the_post();
			?>
			<div class="col-xs-12 col-sm-4 col-md-4">
				<div class="related-post-list">
					<?php 
					reef_post_thumbnail( array(
						'size' => 'reef-related-post',
						'text' => esc_html__( 'No image', 'reef' )
					) );
					?>
					<div class="content">
						<h3>
							<a href="<?php the_permalink(); ?>">
							<?php the_title(); ?>
							</a>
						</h3>
						<div class="text">
							<?php reef_excerpt( 10 ); ?>
						</div>
						<?php reef_edit_link(); ?>
					</div>
				</div>
			</div>
		<?php
		}
		wp_reset_postdata();
		?>
		</div>
	</div>
</div>
<?php endif; ?>