<?php
/**
 * Template part for displaying gallery posts
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 * @since Reef 0.1
 */
?>
<article id="post-<?php the_ID(); ?>" <?php post_class( 'post-content' ); ?>>
    <div class="post-content-inner">
    <?php
    $content = apply_filters( 'the_content', get_the_content() );
    $video = false;

    # Only get video from the content if a playlist isn't present.
    if ( false === strpos( $content, 'wp-playlist-script' ) ) {
        $video = get_media_embedded_in_content( $content, array( 'video', 'object', 'embed', 'iframe' ) );
    }

	if ( empty( $video ) ){
        
        $args = array(
            'size'  => 'reef-full-widget',
            'dummy' => false
        );

        if( is_single() ){
            $args[ 'permalink' ] = false;
        }

		reef_post_thumbnail( $args );
	}

	# Hide post thumbnails only in Single page 
	# Hide Header only in Single page
	reef_entry_header();
	?>
        <div class="post-text">
    	<?php
		if ( ! is_single() ) {

			# If not a single post, highlight the video file.
            if ( ! empty( $video ) ) {
                foreach ( $video as $video_html ) {
                    echo '<div class="entry-video">';
                    echo $video_html;
                    echo '</div>';
                }
            }
		}

		if( is_single() ){

            # Prints out the contents of this post after applying filters.
			the_content();

            # Prints out page links in respect to page breaks in content.
			wp_link_pages( array(
				'before'      => '<div class="page-links">' . esc_html__( 'Pages:', 'reef' ),
				'after'       => '</div>',
				'link_before' => '<span class="page-number">',
				'link_after'  => '</span>',
			) );
			
   		}else{
			reef_excerpt( 15 );
   		} 
    	?>
        </div>
        <?php reef_entry_footer(); ?>
    </div>
</article>